Package ru.bitel.oss.systems.inventory.resource.common.service

# Interface PhoneResourceService

    public interface PhoneResourceService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `phoneCategoryDelete​(int id)` |
  `java.util.List<PhoneCategory>` | `phoneCategoryList()` |
  `PhoneCategory` | `phoneCategoryRoot()` |
  `int` | `phoneCategoryUpdate​(PhoneCategory phoneCategory)` |
  `java.util.List<java.lang.Long>` | `phoneFreeList​(java.lang.Integer categoryId, java.util.Date date, java.lang.Long phoneFrom, java.lang.Long phoneTo, int count)` |
  `void` | `phoneResourceDelete​(int id)` |
  `void` | `phoneResourceImport​(int categoryId, java.lang.String importData)` |
  `java.util.List<PhoneResource>` | `phoneResourceList​(int phoneCategoryId)` |
  `boolean` | `phoneResourceSubscribe​(long phone, int subscriberId, java.lang.String subscriberTitle, java.util.Date dateFrom, java.util.Date dateTo)` |
  `void` | `phoneResourceUnsubscribe​(int subscriberId)` |
  `int` | `phoneResourceUpdate​(PhoneResource phoneResource)` |
  `Result<PhoneResourceSubscription>` | `phoneSubscriptionList​(int id, java.util.Date dateFrom, java.util.Date dateTo, Page page)` |

- ## Method Details

  - ### phoneCategoryRoot

    PhoneCategory phoneCategoryRoot() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### phoneCategoryUpdate

    int phoneCategoryUpdate​(PhoneCategory phoneCategory) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### phoneCategoryDelete

    void phoneCategoryDelete​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### phoneResourceList

    java.util.List<PhoneResource> phoneResourceList​(int phoneCategoryId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### phoneResourceDelete

    void phoneResourceDelete​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### phoneResourceUpdate

    int phoneResourceUpdate​(PhoneResource phoneResource) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### phoneSubscriptionList

    Result<PhoneResourceSubscription> phoneSubscriptionList​(int id, java.util.Date dateFrom, java.util.Date dateTo, Page page) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### phoneFreeList

    java.util.List<java.lang.Long> phoneFreeList​(java.lang.Integer categoryId, java.util.Date date, java.lang.Long phoneFrom, java.lang.Long phoneTo, int count) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### phoneResourceSubscribe

    boolean phoneResourceSubscribe​(long phone, int subscriberId, java.lang.String subscriberTitle, java.util.Date dateFrom, java.util.Date dateTo) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### phoneResourceUnsubscribe

    void phoneResourceUnsubscribe​(int subscriberId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### phoneCategoryList

    java.util.List<PhoneCategory> phoneCategoryList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### phoneResourceImport

    void phoneResourceImport​(int categoryId, java.lang.String importData) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`